"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index = require("../../../hooks/use-namespace/index.js");
const useMenuColor = require("./use-menu-color.js");
const vue = require("vue");
const useMenuCssVar = (props, level) => {
  const ns = index.useNamespace("menu");
  return vue.computed(() => ns.cssVarBlock({
    "text-color": props.textColor || "",
    "hover-text-color": props.textColor || "",
    "bg-color": props.backgroundColor || "",
    "hover-bg-color": useMenuColor.default(props).value || "",
    "active-color": props.activeTextColor || "",
    level: `${level}`
  }));
};
exports.useMenuCssVar = useMenuCssVar;
